Page MenuHomePhabricator

efl.loop_consumer
Closed, ResolvedPublic

Description

| | | |class Efl.Loop_Consumer
| | | |├ (P) loop
| | | |├ (M) future_resolved
| | | |├ (M) future_rejected
| | | |├ (M) promise_new

Related Objects

StatusAssignedTask
Resolvedzmike
ResolvedNone
Resolvedcedric
zmike created this task.Jan 8 2019, 11:29 AM
zmike triaged this task as TODO priority.
zmike removed a parent task: T7511: efl.ui.win.
segfaultxavi moved this task from Backlog to Evaluating on the efl: api board.Feb 6 2019, 3:58 AM
zmike moved this task from Evaluating to "easy" on the efl: api board.Feb 6 2019, 5:36 AM

Its small and seems to work quite fine, @cedric i think this can be made stable ?

cedric added a comment.Feb 7 2019, 6:13 AM

Yes, it is one of the few that I am quite happy with.

awesomeness

@zmike I am not sure how to make a patch that takes Efl.Loop_Consumer out of BETA:

efl_loop_consumer.eo.h is included from Efl_Core.h unconditionally (there's no #ifdef BETA).
Efl.Core.h is included from Efl_Ui.h and Efl_Net.h unconditionally. Moreover, Efl_Ui.h defines EFL_BETA_API_SUPPORT.

Therefore, my understanding is that if an app is including Efl_Ui.h it is already implicitly requesting BETA support.

I actually tested with the texteditor example, and if it includes Efl_Ui.h before Eina.h or Elementary.h it does not need to define EFL_BETA_API_SUPPORT at all.
This looks convoluted and maybe worth fixing at some point, but, for the purpose of this ticket, I am not sure how to "take efl_loop_consumer" out of BETA".

zmike added a comment.Feb 11 2019, 5:31 AM

I think probably no public header should define EFL_BETA_API_SUPPORT or else we have no ability to enforce beta-ness of apis. So this should be added to headers where it doesn't exist, and headers which don't have guards should have the guards added.

Then, for the purpose of this ticket, you can move this header out of the guard in another proposed patch.

zmike moved this task from "easy" to needs patch on the efl: api board.Feb 11 2019, 10:46 AM
segfaultxavi moved this task from needs patch to Stabilized on the efl: api board.Feb 15 2019, 2:55 AM
bu5hm4n raised the priority of this task from TODO to Normal.Feb 22 2019, 1:20 AM
cedric closed subtask T7557: efl.object as Resolved.Thu, Mar 7, 9:17 AM